Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert.F90	(revision 5117)
@@ -3,7 +3,7 @@
 SUBROUTINE disvert()
 
-  use ioipsl, ONLY: getin
-  use new_unit_m, ONLY: new_unit
-  use lmdz_assert, ONLY: assert
+  USE ioipsl, ONLY: getin
+  USE lmdz_new_unit, ONLY: new_unit
+  USE lmdz_assert, ONLY: assert
   USE comvert_mod, ONLY: ap, bp, aps, bps, nivsigs, nivsig, dpres, presnivs, &
                          pseudoalt, pa, preff, scaleheight, presinter
@@ -62,9 +62,9 @@
   CALL getin('vert_sampling', vert_sampling)
   WRITE(lunout,*) TRIM(modname)//' vert_sampling = ' // vert_sampling
-  if (llm==39 .and. vert_sampling=="strato") THEN
+  IF (llm==39 .AND. vert_sampling=="strato") THEN
      dsigmin=0.3 ! Vieille option par défaut pour CMIP5
   else
      dsigmin=1.
-  endif
+  ENDIF
   CALL getin('dsigmin', dsigmin)
   WRITE(LUNOUT,*) trim(modname), 'Discretisation verticale DSIGMIN=',dsigmin
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/disvert_noterre.f90	(revision 5117)
@@ -6,5 +6,5 @@
   !    On l'utilise aussi pour Venus et Titan, legerment modifiee.
 
-  use IOIPSL
+  USE IOIPSL
   USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt, &
         nivsig,nivsigs,pa,preff,scaleheight
@@ -168,5 +168,5 @@
   !
 
-  if (hybrid) then  ! use hybrid coordinates
+  IF (hybrid) then  ! use hybrid coordinates
      WRITE(lunout,*) "*********************************"
      WRITE(lunout,*) "Using hybrid vertical coordinates"
@@ -191,5 +191,5 @@
      ENDDO
      ap(llmp1) = 0.
-  endif
+  ENDIF
 
   bp(llmp1) =   0.
@@ -213,5 +213,5 @@
   ENDDO
 
-  if (hybrid) THEN
+  IF (hybrid) THEN
      aps(llm) = aps(llm-1)**2 / aps(llm-2)
      bps(llm) = 0.5*(bp(llm) + bp(llm+1))
@@ -301,11 +301,11 @@
   x1=0
   x2=1
-  if (sig>=1) THEN
+  IF (sig>=1) THEN
         newsig= sig
-  else if (sig*preff/pa>=0.25) THEN
+  ELSE IF (sig*preff/pa>=0.25) THEN
     DO J=1,9999  ! nombre d''iteration max
       F=((1 -pa/preff)*exp(1-1./newsig**2)+(pa/preff)*newsig)/sig
       ! WRITE(0,*) J, ' newsig =', newsig, ' F= ', F
-      if (F>1) THEN
+      IF (F>1) THEN
           X2 = newsig
           newsig=(X1+newsig)*0.5
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_hyb_m.F90	(revision 5117)
@@ -45,5 +45,5 @@
     INTEGER  ngrid
     REAL p(ngrid,llmp1),pk(ngrid,llm)
-    real, optional:: pkf(ngrid,llm)
+    REAL, optional:: pkf(ngrid,llm)
     REAL ps(ngrid),pks(ngrid), alpha(ngrid,llm),beta(ngrid,llm)
 
@@ -57,16 +57,16 @@
 
     ! Sanity check
-    if (firstcall) THEN
+    IF (firstcall) THEN
        ! sanity checks for Shallow Water case (1 vertical layer)
-       if (llm==1) THEN
-          if (kappa/=1) THEN
+       IF (llm==1) THEN
+          IF (kappa/=1) THEN
              CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
-          if (cpp/=r) THEN
+          IF (cpp/=r) THEN
              CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
           endif
-       endif ! of if (llm.eq.1)
+       endif ! of if (llm.EQ.1)
 
        firstcall=.FALSE.
@@ -74,5 +74,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) THEN
+    IF (llm==1) THEN
        ! Compute pks(:),pk(:),pkf(:)
 
@@ -82,5 +82,5 @@
        ENDDO
 
-       if (present(pkf)) THEN
+       IF (present(pkf)) THEN
           pkf = pk
           CALL filtreg ( pkf, jmp1, llm, 2, 1, .TRUE., 1 ) 
@@ -89,5 +89,5 @@
        ! our work is done, exit routine
        RETURN
-    endif ! of if (llm.eq.1)
+    endif ! of if (llm.EQ.1)
 
     ! General case:
@@ -137,5 +137,5 @@
     ENDDO
 
-    if (present(pkf)) THEN
+    IF (present(pkf)) THEN
        !    calcul de pkf
        pkf = pk
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/exner_milieu_m.F90	(revision 5117)
@@ -42,5 +42,5 @@
     INTEGER  ngrid
     REAL p(ngrid,llmp1),pk(ngrid,llm)
-    real, optional:: pkf(ngrid,llm)
+    REAL, optional:: pkf(ngrid,llm)
     REAL ps(ngrid),pks(ngrid)
 
@@ -54,16 +54,16 @@
 
     ! Sanity check
-    if (firstcall) THEN
+    IF (firstcall) THEN
        ! sanity checks for Shallow Water case (1 vertical layer)
-       if (llm==1) THEN
-          if (kappa/=1) THEN
+       IF (llm==1) THEN
+          IF (kappa/=1) THEN
              CALL abort_gcm(modname, &
                   "kappa!=1 , but running in Shallow Water mode!!",42)
           endif
-          if (cpp/=r) THEN
+          IF (cpp/=r) THEN
              CALL abort_gcm(modname, &
                   "cpp!=r , but running in Shallow Water mode!!",42)
           endif
-       endif ! of if (llm.eq.1)
+       endif ! of if (llm.EQ.1)
 
        firstcall=.FALSE.
@@ -71,5 +71,5 @@
 
     ! Specific behaviour for Shallow Water (1 vertical layer) case:
-    if (llm==1) THEN
+    IF (llm==1) THEN
        ! Compute pks(:),pk(:),pkf(:)
 
@@ -79,5 +79,5 @@
        ENDDO
 
-       if (present(pkf)) THEN
+       IF (present(pkf)) THEN
           pkf = pk
           CALL filtreg ( pkf, jmp1, llm, 2, 1, .TRUE., 1 ) 
@@ -86,5 +86,5 @@
        ! our work is done, exit routine
        RETURN
-    endif ! of if (llm.eq.1)
+    endif ! of if (llm.EQ.1)
 
     ! General case:
@@ -116,5 +116,5 @@
     ENDDO
 
-    if (present(pkf)) THEN
+    IF (present(pkf)) THEN
        !    calcul de pkf
        pkf = pk
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fxhyp_m.F90	(revision 5117)
@@ -18,20 +18,20 @@
     ! 1., taux=0., clon=0.) est à - 180 degrés.
 
-    use lmdz_arth, ONLY: arth
-    use invert_zoom_x_m, ONLY: invert_zoom_x, nmax
-    use nrtype, ONLY: pi, pi_d, twopi, twopi_d, k8
-    use principal_cshift_m, ONLY: principal_cshift
-    use serre_mod, ONLY: clon, grossismx, dzoomx, taux
+    USE lmdz_arth, ONLY: arth
+    USE invert_zoom_x_m, ONLY: invert_zoom_x, nmax
+    USE lmdz_physical_constants, ONLY: pi, pi_d, twopi, twopi_d, k8
+    USE principal_cshift_m, ONLY: principal_cshift
+    USE serre_mod, ONLY: clon, grossismx, dzoomx, taux
 
     include "dimensions.h"
     ! for iim
 
-    REAL, intent(out):: xprimm025(:), rlonv(:), xprimv(:) ! (iim + 1)
-    real, intent(out):: rlonu(:), xprimu(:), xprimp025(:) ! (iim + 1)
+    REAL, INTENT(OUT):: xprimm025(:), rlonv(:), xprimv(:) ! (iim + 1)
+    REAL, INTENT(OUT):: rlonu(:), xprimu(:), xprimp025(:) ! (iim + 1)
 
     ! Local:
-    real rlonm025(iim + 1), rlonp025(iim + 1)
+    REAL rlonm025(iim + 1), rlonp025(iim + 1)
     REAL dzoom, step
-    real d_rlonv(iim)
+    REAL d_rlonv(iim)
     REAL(K8) xtild(0:2 * nmax)
     REAL(K8) fhyp(nmax:2 * nmax), ffdx, beta, Xprimt(0:2 * nmax)
@@ -185,13 +185,13 @@
 
        IF (MINval(rlonm025(:iim)) < - pi - 0.1 &
-            .or. MAXval(rlonm025(:iim)) > pi + 0.1) THEN
+            .OR. MAXval(rlonm025(:iim)) > pi + 0.1) THEN
           IF (clon <= 0.) THEN
              is2 = 1
 
-             do while (rlonm025(is2) < - pi .and. is2 < iim)
+             do while (rlonm025(is2) < - pi .AND. is2 < iim)
                 is2 = is2 + 1
              END DO
 
-             if (rlonm025(is2) < - pi) THEN
+             IF (rlonm025(is2) < - pi) THEN
                 print *, 'Rlonm025 plus petit que - pi !'
                 STOP 1
@@ -200,9 +200,9 @@
              is2 = iim
 
-             do while (rlonm025(is2) > pi .and. is2 > 1)
+             do while (rlonm025(is2) > pi .AND. is2 > 1)
                 is2 = is2 - 1
              END DO
 
-             if (rlonm025(is2) > pi) THEN
+             IF (rlonm025(is2) > pi) THEN
                 print *, 'Rlonm025 plus grand que pi !'
                 STOP 1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/fyhyp_m.F90	(revision 5117)
@@ -16,14 +16,14 @@
     ! Il vaut mieux avoir : grossismy * dzoom < pi / 2
 
-    use lmdz_coefpoly, ONLY: coefpoly
-    use nrtype, ONLY: k8
-    use serre_mod, ONLY: clat, grossismy, dzoomy, tauy
+    USE lmdz_coefpoly, ONLY: coefpoly
+    USE lmdz_physical_constants, ONLY: k8
+    USE serre_mod, ONLY: clat, grossismy, dzoomy, tauy
 
     include "dimensions.h"
     ! for jjm
 
-    REAL, intent(out):: rlatu(jjm + 1), yyprimu(jjm + 1)
-    REAL, intent(out):: rlatv(jjm)
-    real, intent(out):: rlatu2(jjm), yprimu2(jjm), rlatu1(jjm), yprimu1(jjm)
+    REAL, INTENT(OUT):: rlatu(jjm + 1), yyprimu(jjm + 1)
+    REAL, INTENT(OUT):: rlatv(jjm)
+    REAL, INTENT(OUT):: rlatu2(jjm), yprimu2(jjm), rlatu1(jjm), yprimu1(jjm)
 
     ! Local: 
@@ -179,5 +179,5 @@
 
           it = nmax2
-          DO while (it >= 1 .and. yfi < yf(it))
+          DO while (it >= 1 .AND. yfi < yf(it))
              it = it - 1
           END DO
@@ -201,5 +201,5 @@
           DO
              yi = yi - (yf1-yfi)/yprimin
-             IF (abs(yi-yo1)<=epsilon .or. iter == 300) exit
+             IF (abs(yi-yo1)<=epsilon .OR. iter == 300) exit
              yo1 = yi
              yi2 = yi*yi
@@ -207,5 +207,5 @@
              yprimin = a1 + 2.*a2*yi + 3.*a3*yi2
           END DO
-          if (abs(yi-yo1) > epsilon) THEN
+          IF (abs(yi-yo1) > epsilon) THEN
              print *, 'Pas de solution.', j, ylon2
              STOP 1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gr_int_dyn.f90	(revision 5117)
@@ -34,7 +34,7 @@
   do j = 1, jp1
     do i = 1, iim
-      if (j == 1) THEN
+      IF (j == 1) THEN
         champdyn(i, j) = polenord
-      else if (j == jp1) THEN
+      ELSE IF (j == jp1) THEN
         champdyn(i, j) = polesud
       else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradsdef.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradsdef.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/gradsdef.h	(revision 5117)
@@ -2,16 +2,16 @@
 ! $Header$
 
-integer nfmx,imx,jmx,lmx,nvarmx
+INTEGER nfmx,imx,jmx,lmx,nvarmx
 parameter(nfmx=10,imx=200,jmx=150,lmx=200,nvarmx=1000)
 
-real xd(imx,nfmx),yd(jmx,nfmx),zd(lmx,nfmx),dtime(nfmx)
+REAL xd(imx,nfmx),yd(jmx,nfmx),zd(lmx,nfmx),dtime(nfmx)
 
-integer imd(imx),jmd(jmx),lmd(lmx)
-integer iid(imx),jid(jmx)
-integer ifd(imx),jfd(jmx)
-integer unit(nfmx),irec(nfmx),itime(nfmx),nld(nvarmx,nfmx)
+INTEGER imd(imx),jmd(jmx),lmd(lmx)
+INTEGER iid(imx),jid(jmx)
+INTEGER ifd(imx),jfd(jmx)
+INTEGER unit(nfmx),irec(nfmx),itime(nfmx),nld(nvarmx,nfmx)
 
-integer nvar(nfmx),ivar(nfmx)
-logical firsttime(nfmx)
+INTEGER nvar(nfmx),ivar(nfmx)
+LOGICAL firsttime(nfmx)
 
 character*10 var(nvarmx,nfmx),fichier(nfmx)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/infotrac.F90	(revision 5117)
@@ -3,6 +3,6 @@
 MODULE infotrac
 
-  USE       strings_mod, ONLY: msg, fmsg, maxlen, cat, dispTable, int2str, bool2str, strStack, strParse
-  USE readTracFiles_mod, ONLY: trac_type, readTracersFiles, tracers, setGeneration, itZonIso, nzone, tran0, isoZone, &
+  USE       lmdz_strings, ONLY: msg, fmsg, maxlen, cat, dispTable, int2str, bool2str, strStack, strParse
+  USE lmdz_readTracFiles, ONLY: trac_type, readTracersFiles, tracers, setGeneration, itZonIso, nzone, tran0, isoZone, &
           delPhase, niso, getKey, isot_type, processIsotopes, isotope, maxTableWidth, iqIsoPha, nphas, ixIso, isoPhas, &
           addPhase, iH2O, addKey, isoSelect, testTracersFiles, isoKeys, indexUpdate, iqWIsoPha, nbIso, ntiso, isoName, isoCheck
@@ -176,5 +176,5 @@
     IF (nt > 1) THEN
       IF (nt > 2) CALL abort_gcm(modname, 'you need to modify type_trac, this version is not supported by lmdz', 1)
-      if (nt == 2) type_trac = types_trac(2)
+      IF (nt == 2) type_trac = types_trac(2)
     ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iniconst.F90	(revision 5117)
@@ -5,5 +5,5 @@
 
   USE control_mod
-  use IOIPSL
+  USE IOIPSL
   USE comconst_mod, ONLY: im, imp1, jm, jmp1, lllm, lllmm1, lllmp1, &
                           unsim, pi, r, kappa, cpp, dtvr, dtphys
@@ -53,9 +53,9 @@
 
   ! vertical discretization: default behavior depends on planet_type flag
-  if (planet_type=="earth") THEN
+  IF (planet_type=="earth") THEN
      disvert_type=1
   else
      disvert_type=2
-  endif
+  ENDIF
   ! but user can also specify using one or the other in run.def:
   CALL getin('disvert_type',disvert_type)
@@ -65,8 +65,8 @@
   CALL getin('pressure_exner', pressure_exner)
 
-  if (disvert_type==1) THEN
+  IF (disvert_type==1) THEN
      ! standard case for Earth (automatic generation of levels)
      CALL disvert()
-  else if (disvert_type==2) THEN
+  ELSE IF (disvert_type==2) THEN
      ! standard case for planets (levels generated using z2sig.def file)
      CALL disvert_noterre
@@ -74,5 +74,5 @@
      WRITE(abort_message,*) "Wrong value for disvert_type: ", disvert_type
      CALL abort_gcm(modname,abort_message,0)
-  endif
+  ENDIF
 
 END SUBROUTINE iniconst
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inidissip.F90	(revision 5117)
@@ -16,4 +16,5 @@
   USE lmdz_filtreg, ONLY: filtreg
   USE lmdz_libmath, ONLY: minmax
+  USE lmdz_ran1, ONLY: ran1
 
   IMPLICIT NONE
@@ -23,9 +24,9 @@
   include "iniprint.h"
 
-  LOGICAL, INTENT(in) :: lstardis
-  INTEGER, INTENT(in) :: nitergdiv, nitergrot, niterh
-  REAL, INTENT(in) :: tetagdiv, tetagrot, tetatemp
-
-  integer, INTENT(in) :: vert_prof_dissip
+  LOGICAL, INTENT(IN) :: lstardis
+  INTEGER, INTENT(IN) :: nitergdiv, nitergrot, niterh
+  REAL, INTENT(IN) :: tetagdiv, tetagrot, tetatemp
+
+  INTEGER, INTENT(IN) :: vert_prof_dissip
   ! Vertical profile of horizontal dissipation
   ! Allowed values:
@@ -36,5 +37,5 @@
   REAL fact, zvert(llm), zz
   REAL zh(ip1jmp1), zu(ip1jmp1), gx(ip1jmp1), divgra(ip1jmp1)
-  real zv(ip1jm), gy(ip1jm), deltap(ip1jmp1, llm)
+  REAL zv(ip1jm), gy(ip1jm), deltap(ip1jmp1, llm)
   REAL ullm, vllm, umin, vmin, zhmin, zhmax
   REAL zllm
@@ -43,8 +44,5 @@
   REAL tetamin
   REAL pseudoz
-  character (len = 80) :: abort_message
-
-  REAL ran1
-
+  CHARACTER (LEN = 80) :: abort_message
 
   !-----------------------------------------------------------------------
@@ -174,5 +172,5 @@
   !   --------------------------------------------------
 
-  if (vert_prof_dissip == 1) THEN
+  IF (vert_prof_dissip == 1) THEN
     do l = 1, llm
       pseudoz = 8. * log(preff / presnivs(l))
@@ -190,5 +188,5 @@
       zvert(l) = fact - (fact - 1.) / (1. + zz * zz)
     ENDDO
-  endif
+  ENDIF
 
   WRITE(lunout, *)'inidissip: Constantes de temps de la diffusion horizontale'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigeom.f90	(revision 5117)
@@ -16,6 +16,6 @@
   !
   !
-  use fxhyp_m, ONLY: fxhyp
-  use fyhyp_m, ONLY: fyhyp
+  USE fxhyp_m, ONLY: fxhyp
+  USE fyhyp_m, ONLY: fyhyp
   USE comconst_mod, ONLY: pi, g, omeg, rad
   USE logic_mod, ONLY: fxyhypb, ysinus
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inigrads.f90	(revision 5117)
@@ -11,6 +11,6 @@
   REAL :: xmin, xmax, ymin, ymax
 
-  CHARACTER(LEN = *), intent(in) :: file
-  CHARACTER(LEN = *), intent(in) :: titlel
+  CHARACTER(LEN = *), INTENT(IN) :: file
+  CHARACTER(LEN = *), INTENT(IN) :: titlel
 
   INCLUDE "gradsdef.h"
@@ -31,5 +31,5 @@
   unit(9) = 46
 
-  if (if<=nf) stop 'verifier les appels a inigrads'
+  IF (if<=nf) stop 'verifier les appels a inigrads'
 
   PRINT*, 'Entree dans inigrads'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initdynav.F90	(revision 5117)
@@ -5,5 +5,5 @@
   USE IOIPSL
   USE infotrac, ONLY: nqtot
-  use com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid, &
+  USE com_io_dyn_mod, ONLY: histaveid,histvaveid,histuaveid, &
        dynhistave_file,dynhistvave_file,dynhistuave_file
   USE comconst_mod, ONLY: pi
@@ -42,17 +42,17 @@
   !   Arguments
 
-  integer day0, anne0
-  real tstep, t_ops, t_wrt
+  INTEGER day0, anne0
+  REAL tstep, t_ops, t_wrt
 
   ! This routine needs IOIPSL to work
   !   Variables locales
 
-  integer tau0
-  real zjulian
-  integer iq
-  real rlong(iip1,jjp1), rlat(iip1,jjp1)
-  integer uhoriid, vhoriid, thoriid, zvertiid
-  integer ii,jj
-  integer zan, dayref
+  INTEGER tau0
+  REAL zjulian
+  INTEGER iq
+  REAL rlong(iip1,jjp1), rlat(iip1,jjp1)
+  INTEGER uhoriid, vhoriid, thoriid, zvertiid
+  INTEGER ii,jj
+  INTEGER zan, dayref
 
   !--------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/initfluxsto.f90	(revision 5117)
@@ -64,5 +64,5 @@
   INTEGER :: ii, jj
   INTEGER :: zan, idayref
-  logical :: ok_sync
+  LOGICAL :: ok_sync
   !
   !  Initialisations
@@ -211,9 +211,9 @@
   CALL histend(filevid)
   CALL histend(filedid)
-  if (ok_sync) THEN
+  IF (ok_sync) THEN
     CALL histsync(fileid)
     CALL histsync(filevid)
     CALL histsync(filedid)
-  endif
+  ENDIF
 
   RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/inter_barxy_m.F90	(revision 5117)
@@ -14,6 +14,6 @@
   SUBROUTINE inter_barxy(dlonid, dlatid, champ, rlonimod, rlatimod, champint)
 
-    use lmdz_assert_eq, ONLY: assert_eq
-    use lmdz_assert, ONLY: assert
+    USE lmdz_assert_eq, ONLY: assert_eq
+    USE lmdz_assert, ONLY: assert
 
     include "dimensions.h"
@@ -26,13 +26,13 @@
     ! (for "aire", "apoln", "apols")
 
-    REAL, intent(in) :: dlonid(:)
+    REAL, INTENT(IN) :: dlonid(:)
     ! (longitude from input file, in rad, from -pi to pi)
 
-    REAL, intent(in) :: dlatid(:), champ(:, :), rlonimod(:)
-
-    REAL, intent(in) :: rlatimod(:)
+    REAL, INTENT(IN) :: dlatid(:), champ(:, :), rlonimod(:)
+
+    REAL, INTENT(IN) :: rlatimod(:)
     ! (latitude angle, in degrees or rad, in strictly decreasing order)
 
-    real, intent(out) :: champint(:, :)
+    REAL, INTENT(OUT) :: champint(:, :)
     ! Si taille de la seconde dim = jjm + 1, on veut interpoler sur les
     ! jjm+1 latitudes rlatu du modele (latitudes des scalaires et de U)
@@ -43,5 +43,5 @@
 
     REAL champy(iim, size(champ, 2))
-    integer j, i, jnterfd, jmods
+    INTEGER j, i, jnterfd, jmods
 
     REAL yjmod(size(champint, 2))
@@ -78,5 +78,5 @@
     ENDIF
 
-    if (jmods == jjm + 1) yjmod(jjm + 1) = 90.
+    IF (jmods == jjm + 1) yjmod(jjm + 1) = 90.
 
     DO j = 1, jnterfd + 1
@@ -121,9 +121,9 @@
     IMPLICIT NONE
 
-    REAL, intent(in) :: dlonid(:)
-    real, intent(in) :: fdat(:)
-    real, intent(in) :: rlonimod(:)
-
-    real inter_barx(size(rlonimod))
+    REAL, INTENT(IN) :: dlonid(:)
+    REAL, INTENT(IN) :: fdat(:)
+    REAL, INTENT(IN) :: rlonimod(:)
+
+    REAL inter_barx(size(rlonimod))
 
     !    ...  Variables locales ... 
@@ -184,5 +184,5 @@
 
     i = 2
-    DO while (xxd(i) >= xxd(i - 1) .and. i < idatmax)
+    DO while (xxd(i) >= xxd(i - 1) .AND. i < idatmax)
       i = i + 1
     ENDDO
@@ -299,15 +299,15 @@
     ! L'indice 1 correspond à l'interface maille 1 -- maille 2.
 
-    use lmdz_assert, ONLY: assert
+    USE lmdz_assert, ONLY: assert
 
     IMPLICIT NONE
 
-    REAL, intent(in) :: yjdat(:)
+    REAL, INTENT(IN) :: yjdat(:)
     ! (angles, ordonnées des interfaces des mailles des données, in
     ! degrees, in increasing order)
 
-    REAL, intent(in) :: fdat(:) ! champ de données
-
-    REAL, intent(in) :: yjmod(:)
+    REAL, INTENT(IN) :: fdat(:) ! champ de données
+
+    REAL, INTENT(IN) :: yjmod(:)
     ! (ordonnées des interfaces des mailles du modèle)
     ! (in degrees, in strictly increasing order)
@@ -319,5 +319,5 @@
     REAL y0, dy, dym
     INTEGER jdat ! indice du champ de données
-    integer jmod ! indice du champ du modèle
+    INTEGER jmod ! indice du champ du modèle
 
     !------------------------------------
@@ -373,10 +373,10 @@
     ! Finally, the procedure adds 90° as the last value of the array.
 
-    use lmdz_assert_eq, ONLY: assert_eq
-    use comconst_mod, ONLY: pi
+    USE lmdz_assert_eq, ONLY: assert_eq
+    USE comconst_mod, ONLY: pi
 
     IMPLICIT NONE
 
-    REAL, intent(in) :: xi(:)
+    REAL, INTENT(IN) :: xi(:)
     ! (latitude, in degrees or radians, in increasing or decreasing order)
     ! ("xi" should contain latitudes from pole to pole.
@@ -385,6 +385,6 @@
     ! So the extreme values should not be 90° and -90°.)
 
-    REAL, intent(out) :: xo(:) ! angles in degrees
-    LOGICAL, intent(out) :: decrois
+    REAL, INTENT(OUT) :: xo(:) ! angles in degrees
+    LOGICAL, INTENT(OUT) :: decrois
 
     ! Variables  local to the procedure:
@@ -410,5 +410,5 @@
     end IF
 
-    IF (ABS(abs(xo(1)) - 90) < 0.001 .or. ABS(abs(xo(nmax)) - 90) < 0.001) THEN
+    IF (ABS(abs(xo(1)) - 90) < 0.001 .OR. ABS(abs(xo(nmax)) - 90) < 0.001) THEN
       print *, "ord_coord"
       PRINT *, '"xi" should contain the latitudes of the boundaries of ' &
@@ -429,9 +429,9 @@
     ! order.
 
-    use comconst_mod, ONLY: pi
+    USE comconst_mod, ONLY: pi
 
     IMPLICIT NONE
 
-    REAL, intent(in) :: xi(:) ! angle, in rad or degrees
+    REAL, INTENT(IN) :: xi(:) ! angle, in rad or degrees
     REAL ord_coordm(size(xi)) ! angle, in degrees
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/invert_zoom_x_m.F90	(revision 5117)
@@ -9,15 +9,15 @@
   SUBROUTINE invert_zoom_x(xf, xtild, Xprimt, xlon, xprimm, xuv)
 
-    use lmdz_coefpoly, ONLY: coefpoly
-    use nrtype, ONLY: pi, pi_d, twopi_d, k8
-    use serre_mod, ONLY: clon
+    USE lmdz_coefpoly, ONLY: coefpoly
+    USE lmdz_physical_constants, ONLY: pi, pi_d, twopi_d, k8
+    USE serre_mod, ONLY: clon
 
     include "dimensions.h"
     ! for iim
 
-    REAL(K8), intent(in):: Xf(0:), xtild(0:), Xprimt(0:) ! (0:2 * nmax)
-    real, intent(out):: xlon(:), xprimm(:) ! (iim)
+    REAL(K8), INTENT(IN):: Xf(0:), xtild(0:), Xprimt(0:) ! (0:2 * nmax)
+    REAL, INTENT(OUT):: xlon(:), xprimm(:) ! (iim)
 
-    REAL(K8), intent(in):: xuv
+    REAL(K8), INTENT(IN):: xuv
     ! 0. si calcul aux points scalaires 
     ! 0.5 si calcul aux points U 
@@ -25,5 +25,5 @@
     ! Local:
     REAL(K8) xo1, Xfi, a0, a1, a2, a3, Xf1, Xprimin
-    integer i, it, iter
+    INTEGER i, it, iter
     REAL(K8), parameter:: my_eps = 1e-6_k8
 
@@ -37,5 +37,5 @@
 
        it = 2 * nmax
-       do while (xfi < xf(it) .and. it >= 1)
+       do while (xfi < xf(it) .AND. it >= 1)
           it = it - 1
        END DO
@@ -56,7 +56,7 @@
        iter = 1
 
-       do
+       DO
           xvrai(i) = xvrai(i) - (Xf1 - Xfi) / Xprimin
-          IF (ABS(xvrai(i) - xo1) <= my_eps .or. iter == 300) exit
+          IF (ABS(xvrai(i) - xo1) <= my_eps .OR. iter == 300) exit
           xo1 = xvrai(i)
           Xf1 = a0 + xvrai(i) * (a1 + xvrai(i) * (a2 + xvrai(i) * a3))
@@ -64,5 +64,5 @@
        end DO
 
-       if (ABS(xvrai(i) - xo1) > my_eps) THEN
+       IF (ABS(xvrai(i) - xo1) > my_eps) THEN
           ! iter == 300
           print *, 'Pas de solution.'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/iso_verif_dyn.f90	(revision 5117)
@@ -13,5 +13,5 @@
     INTEGER :: iso_verif_noNaN_nostop
 
-    if ((x>-borne).and.(x<borne)) THEN
+    IF ((x>-borne).AND.(x<borne)) THEN
             iso_verif_noNAN_nostop=0
     else
@@ -47,6 +47,6 @@
     iso_verif_egalite_nostop=0
 
-    if (abs(a-b)>errmax) THEN
-      if (abs((a-b)/max(max(abs(b),abs(a)),1e-18)) &
+    IF (abs(a-b)>errmax) THEN
+      IF (abs((a-b)/max(max(abs(b),abs(a)),1e-18)) &
             >errmaxrel) THEN
         WRITE(*,*) 'erreur detectee par iso_verif_egalite:'
@@ -84,5 +84,5 @@
 
     ! verifier que HDO est raisonable
-     if (q>qmin) THEN
+     IF (q>qmin) THEN
          IF(getKey('tnat', tnat, isoName(iso))) THEN
               err_msg = 'Missing isotopic parameter "tnat"'
@@ -91,5 +91,5 @@
          END IF
          deltaD=(x/q/tnat-1)*1000
-         if ((deltaD>deltaDmax).or.(deltaD<deltaDmin)) THEN
+         IF ((deltaD>deltaDmax).OR.(deltaD<deltaDmin)) THEN
               WRITE(*,*) 'erreur detectee par iso_verif_aberrant:'
               WRITE(*,*) err_msg
@@ -98,5 +98,5 @@
               WRITE(*,*) 'iso=',iso
               iso_verif_aberrant_nostop=1
-         endif !if ((deltaD.gt.deltaDmax).or.(deltaD.lt.deltaDmin)) THEN
+         endif !if ((deltaD.gt.deltaDmax).OR.(deltaD.lt.deltaDmin)) THEN
       endif !if (q(i,k,iq).gt.qmin) THEN
     RETURN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limx.f90	(revision 5117)
@@ -85,5 +85,5 @@
      do ij=iip2+1,ip1jm
         IF(     dxqu(ij-1)*dxqu(ij)>0. &
-              .and. dxq(ij,l)*dxqu(ij)>0.) THEN
+              .AND. dxq(ij,l)*dxqu(ij)>0.) THEN
           dxq(ij,l)= &
                 sign(min(abs(dxq(ij,l)),dxqmax(ij)),dxq(ij,l))
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limy.f90	(revision 5117)
@@ -67,5 +67,5 @@
      sinlon(1)=sinlon(iip1)
      sinlondlon(1)=sinlondlon(iip1)
-  endif
+  ENDIF
 
   !
@@ -158,5 +158,5 @@
         dyqmax(ij)=pente_max*abs(dyqv(ij))
      enddo
-  endif
+  ENDIF
 
   IF(dyqv(ismax(iim,dyqv(ip1jm-iip1+1),1)+ip1jm-iip1+1)* &
@@ -170,5 +170,5 @@
         dyqmax(ij)=pente_max*abs(dyqv(ij-iip1))
      enddo
-  endif
+  ENDIF
 
   !   calcul des pentes limitees
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/limz.f90	(revision 5117)
@@ -78,5 +78,5 @@
      do l=2,llm-1
         IF(     dzqw(l-1)*dzqw(l)>0. &
-              .and. dzq(ij,l)*dzqw(l)>0.) THEN
+              .AND. dzq(ij,l)*dzqw(l)>0.) THEN
           dzq(ij,l)= &
                 sign(min(abs(dzq(ij,l)),dzqmax(l)),dzq(ij,l))
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/misc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/misc_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/misc_mod.F90	(revision 5117)
@@ -1,6 +1,6 @@
 module misc_mod
-  integer,save :: itaumax
+  INTEGER,save :: itaumax
   logical,save :: adjust
-  integer,save :: ItCount
+  INTEGER,save :: ItCount
   logical,save :: debug
 end module misc_mod 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/pentes_ini.f90	(revision 5117)
@@ -58,5 +58,5 @@
   INTEGER :: ismax,ismin,lati,latf
   EXTERNAL  SSUM, ismin,ismax
-  logical :: first
+  LOGICAL :: first
   save first
   !   fin modif
@@ -72,7 +72,7 @@
   limit = .TRUE.
   pente_max=2
-  ! if (mode.eq.1.or.mode.eq.3) THEN
-  ! if (mode.eq.1) THEN
-  if (mode>=1) THEN
+  ! if (mode.EQ.1.OR.mode.EQ.3) THEN
+  ! if (mode.EQ.1) THEN
+  IF (mode>=1) THEN
     lati=2
     latf=jjm
@@ -80,5 +80,5 @@
     lati=1
     latf=jjp1
-  endif
+  ENDIF
 
   qmin=0.4995
@@ -110,5 +110,5 @@
     ENDDO
 
-  endif
+  ENDIF
   !   Fin modif Fred
 
@@ -245,7 +245,7 @@
         sx(1,jjp1,l)=sx(iip1,jjp1,l)
       enddo
-  endif
-
-  if (mode==4) THEN
+  ENDIF
+
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -256,10 +256,10 @@
         enddo
      enddo
-  endif
+  ENDIF
   CALL limx(s0,sx,sm,pente_max)
   ! CALL minmaxq(zq,1.e33,-1.e33,'avant advx     ')
    CALL advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf)
   ! CALL minmaxq(zq,1.e33,-1.e33,'avant advy     ')
-  if (mode==4) THEN
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -270,5 +270,5 @@
         enddo
      enddo
-  endif
+  ENDIF
    CALL   limy(s0,sy,sm,pente_max)
    CALL advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz )
@@ -282,5 +282,5 @@
    CALL limz(s0,sz,sm,pente_max)
    CALL advz( limit,dtvr,w,sm,s0,sx,sy,sz )
-  if (mode==4) THEN
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -291,5 +291,5 @@
         enddo
      enddo
-  endif
+  ENDIF
     CALL limy(s0,sy,sm,pente_max)
    CALL advy( limit,.5*dtvr,pbarv,sm,s0,sx,sy,sz )
@@ -306,5 +306,5 @@
 
   ! CALL minmaxq(zq,1.e33,-1.e33,'avant advx     ')
-  if (mode==4) THEN
+  IF (mode==4) THEN
      do l=1,llm
         do i=1,iip1
@@ -315,5 +315,5 @@
         enddo
      enddo
-  endif
+  ENDIF
    CALL limx(s0,sx,sm,pente_max)
    CALL advx( limit,.5*dtvr,pbaru,sm,s0,sx,sy,sz,lati,latf)
